Skip to content
Permalink
Browse files

Added flake8 support, updated requirements, updated exceptions

  • Loading branch information...
hpincket committed Sep 20, 2016
1 parent a1a8fca commit bded031d2f20d69b966cc7dda78abe9080da6f17
Showing with 19 additions and 6 deletions.
  1. +1 −1 .flake8
  2. +3 −0 README.md
  3. +11 −5 api/__init__.py
  4. +4 −0 requirements.txt
@@ -1,3 +1,3 @@
[flake8]
ignore=E501
ignore=E501,E402
exclude=venv,env
@@ -43,6 +43,9 @@ You'll need the latest version of Python 3, along with `virtualenv` and `pip`. G
- `git push --force`
- Note: This won't work if multiple developers are doing this at the same time.
9. You're code will be merged into `master` once your pull request is accepted.
Your code will be run against flake8, a tool which will check for coding
style and common mistakes. You can run `flake8` locally from within the virtual
environment.

#### How to Run Scripts

@@ -4,11 +4,6 @@
from functools import wraps
import pymongo
import os
import api.meta
import api.dining
import api.wifi
import api.laundry
import api.courses


def make_json_error(ex):
@@ -114,5 +109,16 @@ def decorated(*args, **kwargs):
return f(*args, **kwargs)
return decorated

import api.meta
import api.dining
import api.wifi
import api.laundry
import api.courses

import api.meta
import api.dining
import api.wifi
import api.laundry
import api.courses

__all__ = ['api', ]
@@ -1,4 +1,5 @@
beautifulsoup4==4.4.1
flake8==3.0.4
Flask==0.10.1
Flask-Jsonpify==1.5.0
Flask-WTF==0.12
@@ -8,7 +9,10 @@ itsdangerous==0.24
Jinja2==2.8
Markdown==2.6.5
MarkupSafe==0.23
mccabe==0.5.2
mongoengine==0.10.6
pycodestyle==2.0.0
pyflakes==1.2.3
pymongo==3.0.3
requests==2.7.0
six==1.9.0

0 comments on commit bded031

Please sign in to comment.
You can’t perform that action at this time.